Subject: bug#40732: 26.1; ^L printed when resizing Emacs split window using ksh93

From: Nicholas Papadonis <[email-masked]>
Date: Mon, 20 Apr 2020 10:40:44 -0400

I have linked a screen shot of the issue below.  The issue occurs when Emacs is in split window mode, X session and M-x shell is invoked.  The shell is ksh93.  I tried finding the Emacs bug tracker, however this is the only method I found to file a bug. This has been reproduced by others.

Screenshot of issue:
http://nickpapadonis.com/images-share/emacs-ksh-0.png

PS2 is printed multiple times during the resize.  When entered is pressed after the resize, multiple ^L s are displayed.  I set PS2="" and the brackets are omitted, however ^L still remain after pressing enter.

Is this a known issue?  I have CC'd KSH list in case the problem is on the ksh93 side.

Thanks

Emacs 26.1 build 2.

1 [debian:~]$ echo $0
-ksh93
2 [debian:~]$ ksh93 --version
  version         sh (AT&T Research) 93u+ 2012-08-01
3 [debian:~]$ echo ${.sh.version}
Version AJM 93u+ 2012-08-01
...

In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
 of 2019-09-22, modified by Debian built on x86-grnet-01
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:	Debian GNU/Linux 10 (buster)

Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --enable-libsystemd --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --enable-libsystemd
 --with-pop=yes
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/share/emacs/site-lisp
 --with-sound=alsa --without-gconf --with-mailutils --with-x=yes
 --with-x-toolkit=gtk3 --with-toolkit-scroll-bars 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs-StqULU/emacs-26.1+1=. -fstack-protector-strong
 -Wformat -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  cl-old-struct-compat-mode: t
  xterm-mouse-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/np/.emacs.d/elpa/slime-20200319.1939/slime-autoloads hides /usr/share/emacs/site-lisp/elpa/slime-2.23/slime-autoloads
/home/np/.emacs.d/elpa/slime-20200319.1939/slime-pkg hides /usr/share/emacs/site-lisp/elpa/slime-2.23/slime-pkg
/home/np/.emacs.d/elpa/slime-20200319.1939/slime hides /usr/share/emacs/site-lisp/elpa/slime-2.23/slime
/home/np/.emacs.d/elpa/slime-20200319.1939/slime-tests hides /usr/share/emacs/site-lisp/elpa/slime-2.23/slime-tests
/home/np/.emacs.d/elpa/slime-20200319.1939/slime-autoloads hides /usr/share/emacs/site-lisp/elpa-src/slime-2.23/slime-autoloads
/home/np/.emacs.d/elpa/slime-20200319.1939/slime-pkg hides /usr/share/emacs/site-lisp/elpa-src/slime-2.23/slime-pkg
/home/np/.emacs.d/elpa/slime-20200319.1939/slime hides /usr/share/emacs/site-lisp/elpa-src/slime-2.23/slime
/home/np/.emacs.d/elpa/slime-20200319.1939/slime-tests hides /usr/share/emacs/site-lisp/elpa-src/slime-2.23/slime-tests
/usr/share/emacs/site-lisp/latex-cjk-thai/thai-word hides /usr/share/emacs/26.1/lisp/language/thai-word

Features:
(shadow sort mail-extr emacsbug message rmc puny format-spec rfc822 mml
mml-sec epa derived epg gnus-util rmail rmail-loaddefs mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils dired
dired-loaddefs shell pcomplete comint ansi-color macrostep-c subr-x
cmacexp macrostep ring pp cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs elec-pair
display-line-numbers ac-geiser auto-complete popup geiser edmacro kmacro
info-look finder-inf info slime-autoloads package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib xt-mouse erlang-start time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 275179 11084)
 (symbols 48 30850 3)
 (miscs 40 111 623)
 (strings 32 87349 3016)
 (string-bytes 1 2240221)
 (vectors 16 26799)
 (vector-slots 8 678295 14346)
 (floats 8 81 222)
 (intervals 56 1142 0)
 (buffers 992 17))